--
-- CopyrightMod
--
-- Author: Alex2009  (www.alex2009.de)
-- Datum: 22.Oktober 2011
--
--

CopyrightMod = {};
CopyrightMod.ModOrdner = g_currentModDirectory;

function CopyrightMod:loadMap(name)
    local copyright01 = Utils.getFilename("CopyrightFiles/copyright01.png", CopyrightMod.ModOrdner);
	local copyright02 = Utils.getFilename("CopyrightFiles/copyright02.png", CopyrightMod.ModOrdner);
    self.ZeichenA = Overlay:new("on",copyright01, 0,0,1,1);
	self.ZeichenB = Overlay:new("on",copyright02, 0,0,1,1);
	self.copyright = 0;
end;

function CopyrightMod:deleteMap()
end;

function CopyrightMod:mouseEvent(posX, posY, isDown, isUp, button)
end;

function CopyrightMod:keyEvent(unicode, sym, modifier, isDown)
end;

function CopyrightMod:update(dt)
    if InputBinding.hasEvent(InputBinding.ShowCopyrightLogo) then
		self.copyright = self.copyright + 1;
		if self.copyright == 3 then
		    self.copyright = 0;
		end;
	end;
end;

function CopyrightMod:draw()
	if self.copyright == 1 then
		self.ZeichenA:render();
	elseif self.copyright == 2 then
	    self.ZeichenB:render();
	end;
end;
addModEventListener(CopyrightMod);